<?php
/**
 * Globals array access class.
 *
 * @author      Murat Purc <murat@purc.de>
 * @copyright    Murat Purc 2008
 * @date        07.10.2008
 * @package     Contenido
 * @subpackage  Globals
 */


include_once('class.mparraymanager.php');


/**
 * Globals array manager class
 *
 * @author      Murat Purc <murat@purc.de>
 * @package     Contenido
 * @subpackage  Globals
 */
class mpGlobals extends mpArrayManager implements mpIArrayManager {

    /**
     * Constructor, stores the reference to $GLOBALS into member variable _aData.
     */
    private function __construct() {
        $this->_aData = & $GLOBALS;
    }

    /**
     * Returns a instance of mpGlobals (singleton implementation)
     *
     * @return  mpGlobals
     */
    public static function getInstance() {
        if (self::$_instance == null) {
            self::$_instance = new mpGlobals();
        }
        return self::$_instance;
    }

}
